[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt-users] can not connect hypervisor using libvirt-0.9.8 on windows



Okay, I can reproduce the problem even with the latest libvirt release
0.10.2. I just added a workaround the msys_setup repo on github. So
you should retry and build the patched version of libvirt 0.10.2. I
also proposed the patch here:

https://www.redhat.com/archives/libvir-list/2012-October/msg00378.html

2012/10/9 xuanmao_001 <xuanmao_001 163 com>:
> Hi:
> the hypervisor is kvm. the URI: qemu+tcp://root hostname/system
> 0.9.11 was also like this error.
>
> ________________________________
> xuanmao_001
>
> From: Matthias Bolte
> Date: 2012-10-07 01:02
> To: xuanmao_001
> CC: Eric Blake; libvirt-users
> Subject: Re: [libvirt-users] can not connect hypervisor using libvirt-0.9.8
> on windows
> 2012/9/29 xuanmao_001 <xuanmao_001 163 com>:
>> Hi, Eric:
>> I compiled libvirt-0.9.8 source code with the msys environment on windows
>> xp.
>> the compiltion was successed.
>> but when I connect the remote host using virsh.exe, it occured error like:
>> error: Failed to connect to the hypervisor
>> error: Unable to set close-on-exec flag: No such file or directory
>>
>> Is there something wrong?  give me some help, thanks!
>
> Can you be more specific here?
>
> To what hypervisor did you try to connect?
>
> What URI did you use?
>
> Why didn't you use the latest libvirt version supported by msys_setup
> (assuming that you used msys_setup), which is 0.9.11?
>
> --
> Matthias Bolte
> http://photron.blogspot.com

-- 
Matthias Bolte
http://photron.blogspot.com


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]